summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Fernando Lopez Jr2017-01-18 22:50:38 +0100
committer Willy Sudiarto Raharjo2017-01-21 01:04:31 +0100
commit127af92a3c37b8ee07a00a53e4b5fc713784d7f5 (patch)
treeb6174e0270e06cbefa79be2b93c027e73ff502e5
parentf3e8f970a153b98216461d723f23da7bd4f9453b (diff)
downloadslackbuilds-127af92a3c37b8ee07a00a53e4b5fc713784d7f5.tar.gz
system/stm32flash: Added (flash program for the STM32 ARM).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/stm32flash/README3
-rw-r--r--system/stm32flash/slack-desc19
-rw-r--r--system/stm32flash/stm32flash.SlackBuild92
-rw-r--r--system/stm32flash/stm32flash.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/system/stm32flash/README b/system/stm32flash/README
new file mode 100644
index 0000000000..32d639865f
--- /dev/null
+++ b/system/stm32flash/README
@@ -0,0 +1,3 @@
+Open source cross platform flash program for the STM32 ARM
+microcontrollers using the built-in ST serial bootloader over
+UART or I2C.
diff --git a/system/stm32flash/slack-desc b/system/stm32flash/slack-desc
new file mode 100644
index 0000000000..c5918f0b25
--- /dev/null
+++ b/system/stm32flash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |---handy-ruler------------------------------------------------------|
+stm32flash: stm32flash (flash program for the STM32 ARM)
+stm32flash:
+stm32flash: Open source cross platform flash program for the STM32 ARM
+stm32flash: microcontrollers using the built-in ST serial bootloader over
+stm32flash: UART or I2C
+stm32flash:
+stm32flash:
+stm32flash:
+stm32flash:
+stm32flash:
+stm32flash:
diff --git a/system/stm32flash/stm32flash.SlackBuild b/system/stm32flash/stm32flash.SlackBuild
new file mode 100644
index 0000000000..454e53bd1b
--- /dev/null
+++ b/system/stm32flash/stm32flash.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Copyright 2017 Fernando Lopez Jr.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=stm32flash
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+make install PREFIX=/usr DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS HOWTO INSTALL TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/stm32flash/stm32flash.info b/system/stm32flash/stm32flash.info
new file mode 100644
index 0000000000..c12a94caaa
--- /dev/null
+++ b/system/stm32flash/stm32flash.info
@@ -0,0 +1,10 @@
+PRGNAM="stm32flash"
+VERSION="0.5"
+HOMEPAGE="https://sourceforge.net/p/stm32flash/wiki/Home/"
+DOWNLOAD="https://downloads.sourceforge.net/project/stm32flash/stm32flash-0.5.tar.gz"
+MD5SUM="40f673502949f3bb655d2bcc539d7b6a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"